com.sun.syndication.feed.atom

## Class Entry

- java.lang.Object
- - com.sun.syndication.feed.atom.Entry

All Implemented Interfaces:
  Extendable, java.io.Serializable, java.lang.Cloneable

    public class Entry
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable, Extendable

Bean for entry elements of Atom feeds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Entry()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.util.List` `getAlternateLinks()` Returns the entry alternate links.
`java.util.List` `getAuthors()` Returns the entry author.
`java.util.List` `getCategories()` Returns the categories
`java.util.List` `getContents()` Returns the entry contents.
`java.util.List` `getContributors()` Returns the entry contributors.
`java.util.Date` `getCreated()` Returns the entry created date (Atom 0.3 only)
`java.lang.Object` `getForeignMarkup()` Returns foreign markup found at entry level.
`java.lang.String` `getId()` Returns the entry ID.
`java.util.Date` `getIssued()` Returns the entry issued date (Atom 0.3, maps to `getPublished()`).
`java.util.Date` `getModified()` Returns the entry modified date (Atom 0.3, maps to `getUpdated()`).
`Module` `getModule(java.lang.String uri)` Returns the module identified by a given URI.
`java.util.List` `getModules()` Returns the entry modules.
`java.util.List` `getOtherLinks()` Returns the entry non-alternate links.
`java.util.Date` `getPublished()` Returns the published
`java.lang.String` `getRights()` Returns the rights
`Feed` `getSource()` Returns the source
`Content` `getSummary()` Returns the entry summary.
`java.lang.String` `getTitle()` Returns the entry title.
`Content` `getTitleEx()` Returns the entry title as a text construct.
`java.util.Date` `getUpdated()` Returns the updated
`java.lang.String` `getXmlBase()` Returns the xmlBase
`int` `hashCode()` Returns a hashcode value for the object.
`boolean` `isMediaEntry()` Returns true if entry is a media entry, i.e.
`void` `setAlternateLinks(java.util.List alternateLinks)` Sets the entry alternate links.
`void` `setAuthors(java.util.List authors)` Sets the author of the entry.
`void` `setCategories(java.util.List categories)` Set the categories
`void` `setContents(java.util.List contents)` Sets the entry contents.
`void` `setContributors(java.util.List contributors)` Sets the entry contributors.
`void` `setCreated(java.util.Date created)` Sets the entry created date (Atom 0.3 only)
`void` `setForeignMarkup(java.lang.Object foreignMarkup)` Sets foreign markup found at entry level.
`void` `setId(java.lang.String id)` Sets the entry ID.
`void` `setIssued(java.util.Date issued)` Sets the entry issued date (Atom 0.3, maps to `setPublished(java.util.Date)`).
`void` `setModified(java.util.Date modified)` Sets the entry modified date (Atom 0.3, maps to `setUpdated(java.util.Date)`).
`void` `setModules(java.util.List modules)` Sets the entry modules.
`void` `setOtherLinks(java.util.List otherLinks)` Sets the entry non-alternate links.
`void` `setPublished(java.util.Date published)` Set the published
`void` `setRights(java.lang.String rights)` Set the rights
`void` `setSource(Feed source)` Set the source
`void` `setSummary(Content summary)` Sets the entry summary.
`void` `setTitle(java.lang.String title)` Sets the entry title.
`void` `setTitleEx(Content title)` Sets the entry title as a text construct.
`void` `setUpdated(java.util.Date updated)` Set the updated
`void` `setXmlBase(java.lang.String xmlBase)` Set the xmlBase
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Entry

    public Entry()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getTitle

    public java.lang.String getTitle()

Returns the entry title.

Returns:
  the entry title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the entry title.

Parameters:
  `title` - the entry title, null if none.

#### getTitleEx

    public Content getTitleEx()

Returns the entry title as a text construct.

Returns:
  the entry title, null if none.

#### setTitleEx

    public void setTitleEx(Content title)

Sets the entry title as a text construct.

Parameters:
  `title` - the entry title, null if none.

#### getAlternateLinks

    public java.util.List getAlternateLinks()

Returns the entry alternate links.

Returns:
  a list of Link elements with the entry alternate links, an empty list if none.

#### setAlternateLinks

    public void setAlternateLinks(java.util.List alternateLinks)

Sets the entry alternate links.

Parameters:
  `alternateLinks` - the list of Link elements with the entry alternate links to set, an empty list or null if none.

#### getOtherLinks

    public java.util.List getOtherLinks()

Returns the entry non-alternate links.

Returns:
  the list of Link elements with the entry non-alternate links to set, an empty list if none.

#### setOtherLinks

    public void setOtherLinks(java.util.List otherLinks)

Sets the entry non-alternate links.

Parameters:
  `otherLinks` - the list Link elements with the entry non-alternate links to set, an empty list or null if none.

#### getAuthors

    public java.util.List getAuthors()

Returns the entry author.

Returns:
  the entry author, null if none.

#### setAuthors

    public void setAuthors(java.util.List authors)

Sets the author of the entry.

Parameters:
  `authors` - the author of the entry, null if none.

#### getContributors

    public java.util.List getContributors()

Returns the entry contributors.

Returns:
  a list of Person elements with the entry contributors, an empty list if none.

#### setContributors

    public void setContributors(java.util.List contributors)

Sets the entry contributors.

Parameters:
  `contributors` - the list of Person elements with the entry contributors to set, an empty list or null if none.

#### getId

    public java.lang.String getId()

Returns the entry ID.

Returns:
  the entry ID, null if none.

#### setId

    public void setId(java.lang.String id)

Sets the entry ID.

Parameters:
  `id` - the entry ID, null if none.

#### getModified

    public java.util.Date getModified()

Returns the entry modified date (Atom 0.3, maps to `getUpdated()`).

Returns:
  the entry modified date, null if none.

#### setModified

    public void setModified(java.util.Date modified)

Sets the entry modified date (Atom 0.3, maps to `setUpdated(java.util.Date)`).

Parameters:
  `modified` - the entry modified date, null if none.

#### getIssued

    public java.util.Date getIssued()

Returns the entry issued date (Atom 0.3, maps to `getPublished()`).

Returns:
  the entry issued date, null if none.

#### setIssued

    public void setIssued(java.util.Date issued)

Sets the entry issued date (Atom 0.3, maps to `setPublished(java.util.Date)`).

Parameters:
  `issued` - the entry issued date, null if none.

#### getCreated

    public java.util.Date getCreated()

Returns the entry created date (Atom 0.3 only)

Returns:
  the entry created date, null if none.

#### setCreated

    public void setCreated(java.util.Date created)

Sets the entry created date (Atom 0.3 only)

Parameters:
  `created` - the entry created date, null if none.

#### getSummary

    public Content getSummary()

Returns the entry summary.

Returns:
  the entry summary, null if none.

#### setSummary

    public void setSummary(Content summary)

Sets the entry summary.

Parameters:
  `summary` - the entry summary, null if none.

#### getContents

    public java.util.List getContents()

Returns the entry contents.

Returns:
  a list of Content elements with the entry contents, an empty list if none.

#### setContents

    public void setContents(java.util.List contents)

Sets the entry contents.

Parameters:
  `contents` - the list of Content elements with the entry contents to set, an empty list or null if none.

#### getModules

    public java.util.List getModules()

Returns the entry modules.

Specified by:
  `getModules` in interface `Extendable`
Returns:
  a list of ModuleImpl elements with the entry modules, an emtpy list if none.

#### setModules

    public void setModules(java.util.List modules)

Sets the entry modules.

Specified by:
  `setModules` in interface `Extendable`
Parameters:
  `modules` - the list of ModuleImpl elements with the entry modules to set, an empty list or null if none.

#### getModule

    public Module getModule(java.lang.String uri)

Returns the module identified by a given URI.

Specified by:
  `getModule` in interface `Extendable`
Parameters:
  `uri` - the URI of the ModuleImpl.
Returns:
  The module with the given URI, null if none.

#### getPublished

    public java.util.Date getPublished()

Returns the published

Returns:
  Returns the published.
Since:
  Atom 1.0

#### setPublished

    public void setPublished(java.util.Date published)

Set the published

Parameters:
  `published` - The published to set.
Since:
  Atom 1.0

#### getRights

    public java.lang.String getRights()

Returns the rights

Returns:
  Returns the rights.
Since:
  Atom 1.0

#### setRights

    public void setRights(java.lang.String rights)

Set the rights

Parameters:
  `rights` - The rights to set.
Since:
  Atom 1.0

#### getSource

    public Feed getSource()

Returns the source

Returns:
  Returns the source.

#### setSource

    public void setSource(Feed source)

Set the source

Parameters:
  `source` - The source to set.

#### getUpdated

    public java.util.Date getUpdated()

Returns the updated

Returns:
  Returns the updated.
Since:
  Atom 1.0

#### setUpdated

    public void setUpdated(java.util.Date updated)

Set the updated

Parameters:
  `updated` - The updated to set.
Since:
  Atom 1.0

#### getCategories

    public java.util.List getCategories()

Returns the categories

Returns:
  Returns the categories.
Since:
  Atom 1.0

#### setCategories

    public void setCategories(java.util.List categories)

Set the categories

Parameters:
  `categories` - The categories to set.
Since:
  Atom 1.0

#### getXmlBase

    public java.lang.String getXmlBase()

Returns the xmlBase

Returns:
  Returns the xmlBase.
Since:
  Atom 1.0

#### setXmlBase

    public void setXmlBase(java.lang.String xmlBase)

Set the xmlBase

Parameters:
  `xmlBase` - The xmlBase to set.
Since:
  Atom 1.0

#### getForeignMarkup

    public java.lang.Object getForeignMarkup()

Returns foreign markup found at entry level.

Returns:
  list of Opaque object to discourage use

#### setForeignMarkup

    public void setForeignMarkup(java.lang.Object foreignMarkup)

Sets foreign markup found at entry level.

Parameters:
  `foreignMarkup` - Opaque object to discourage use

#### isMediaEntry

    public boolean isMediaEntry()

Returns true if entry is a media entry, i.e. has rel="edit-media".

Returns:
  true if entry is a media entry